API 文档

浏览文档并开始使用 Skinify

Cancel Reservation

This method allows you to cancel a purchase with the status reserved. Upon cancellation, funds are returned to the project balance in full.

HTTP Request

POST https://skinify.io/api/withdraw/cancel-reservation

POST Parameters

Parameter Required Description
purchase_id
or
custom_id
check purchase_id from the withdraw/buy method.
or
custom_id passed by you to the withdraw/buy method.

Response

The server response will contain the following data:

Parameter Description
skin Object containing information about the skin
purchase_id Purchase ID
purchase_status Purchase status after reservation cancellation

Response Example

{
  "status": "success",
  "skin": {
    "id": "11552"
  },
  "purchase_id": 1,
  "purchase_status": "reservation_canceled"
}

Possible Errors

Error Description
missing_one_of_required_params One of the required parameters is missing (‘purchase_id’ or ‘custom_id’)
reservation_not_found Reservation not found or the purchase does not have the status ‘reserved’
cancel_reservation_unavailable Reservation cancellation is unavailable